<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


class Artikel extends Objekt
{
  public $objekt_id;
  public $mindest_menge;
  public $verkaufspreis_brutto;
  public $ueberkauf_erlaubt;
  public $mwst_key;
  public $ext_bezeichnung;
  public $vorspann;
  public $nachspann;
  public $zitat;

  
  
  public $suche_kategorie;

  public function getTyp($pFieldName)
  {
    switch ($pFieldName) {
      default:
        return parent::getTyp($pFieldName);
      case 'objekt_id':
      case 'mindest_menge':
      case 'mwst_key':
        return \DatamodulVarType::TYPE_INT;
      case 'verkaufspreis_brutto':
        return \DatamodulVarType::TYPE_FLOAT;
    }
  }

  public function getVarValue($name)
  {
    switch ($name) {
      default:
        return parent::getVarValue($name);
      case 'gewicht_anzeige':
        return MathOperations::gewichtAnzeige($this->gewicht);
    }
  }
}